# Getting Started

###1，服务端引入cas-client支持
```xml
<dependency>
    <groupId>org.jasig.cas.client</groupId>
    <artifactId>cas-client-core</artifactId>
    <version>${cas-client.version}</version>
    <exclusions>
        <exclusion>
            <groupId>javax.servlet</groupId>
            <artifactId>servlet-api</artifactId>
        </exclusion>
    </exclusions>
</dependency>
```

###2，前后端不分离的项目
参考本项目，配置 cas.server-url-prefix 、 cas.server-login-url 、 cas.service-url-prefix即可
http://git.xy51.com/zbs/cas-spring-boot-starter.git

###3，前后端分离的项目
####3.1 客户端请求时携带请求头 targetUrl ，代表登录成功后回调的客户端地址；并允许跨域时携带cookie

####3.2 服务端验证用户未登录，返回401状态码，并以json方式返回url

####3.3 客户端接收到401状态码，则从响应数据中取出url，并重定向到url

####3.4 登录完成后，服务端重定向到 targetUrl
