package syhd.cas.bean;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author zhangbaisen
 * @date 2022/2/21 15:09
 */
@ConfigurationProperties(prefix = "cas")
public class CasClientProperties {
    
    private String serverUrlPrefix;
    
    private String serverLoginUrl;
    
    private String serviceUrlPrefix;
    
    private String frontendBackendRedirect = "/casRedirect";

    public String getServerUrlPrefix() {
        return serverUrlPrefix;
    }

    public void setServerUrlPrefix(String serverUrlPrefix) {
        this.serverUrlPrefix = serverUrlPrefix;
    }

    public String getServerLoginUrl() {
        return serverLoginUrl;
    }

    public void setServerLoginUrl(String serverLoginUrl) {
        this.serverLoginUrl = serverLoginUrl;
    }

    public String getServiceUrlPrefix() {
        return serviceUrlPrefix;
    }

    public void setServiceUrlPrefix(String serviceUrlPrefix) {
        this.serviceUrlPrefix = serviceUrlPrefix;
    }

    public String getFrontendBackendRedirect() {
        return frontendBackendRedirect;
    }

    public void setFrontendBackendRedirect(String frontendBackendRedirect) {
        this.frontendBackendRedirect = frontendBackendRedirect;
    }

    @Override
    public String toString() {
        return "CasClientProperties{" +
                "serverUrlPrefix='" + serverUrlPrefix + '\'' +
                ", serverLoginUrl='" + serverLoginUrl + '\'' +
                ", serviceUrlPrefix='" + serviceUrlPrefix + '\'' +
                ", frontendBackendRedirect='" + frontendBackendRedirect + '\'' +
                '}';
    }
}
