package syhd.cas.bean;

import org.jasig.cas.client.util.AbstractCasFilter;
import org.jasig.cas.client.validation.Assertion;
import org.springframework.web.filter.OncePerRequestFilter;

import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;

/**
 * @author zhangbaisen
 * @date 2022/2/25 16:43
 */
public class CasRedirectFilter extends OncePerRequestFilter {
    @Override
    protected void doFilterInternal(HttpServletRequest request, HttpServletResponse response, FilterChain filterChain) throws ServletException, IOException {

        HttpSession session = request.getSession(false);
        String url = null;
        if(session != null){
            url = (String) session.getAttribute(SyhdCasAuthFilter.targetUrl);
            System.out.println("CasRedirectFilter   url: " + url);
        }
        
        if(url == null || "".equals(url)){
            url = request.getHeader("Referer");
            System.out.println("CasRedirectFilter   urlReferer: " + url);
        }
        response.sendRedirect(url);
    }
}
